=== debian/changelog ===
tcos (0.89.60-lliurex69) unstable; urgency=low

  * Uinput module is added to tcos-modules.conf

 -- Enrique Medina Gremaldos <lliurex_devel4@edu.gva.es>  Fri, 11 Jan 2013 10:28:59 +0100

tcos (0.89.60-lliurex68) unstable; urgency=low

  * "uinput" module

 -- Angel Berlanas Vicente <lliurex_devel2@edu.gva.es>  Tue, 19 Jun 2012 10:46:40 +0200

tcos (0.89.60-lliurex67) lucid; urgency=low

  * Version upgrade for if the flies

 -- Angel Berlanas Vicente <lliurex_devel2@edu.gva.es>  Tue, 19 Jun 2012 10:44:44 +0200

tcos (0.89.60-lliurex66) unstable; urgency=low

  * minor fix 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Tue, 03 Apr 2012 12:00:03 +0200

tcos (0.89.60-lliurex65) unstable; urgency=low

  * fix pxe password 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Tue, 03 Apr 2012 11:34:39 +0200

tcos (0.89.60-lliurex64) unstable; urgency=low

  * bumped 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Fri, 30 Mar 2012 13:44:51 +0200

tcos (0.89.60-lliurex63) unstable; urgency=low

  * support live edition 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Tue, 27 Mar 2012 14:43:48 +0200

tcos (0.89.60-lliurex62) unstable; urgency=low

  * Refixed

 -- Angel Berlanas Vicente <lliurex_devel2@edu.gva.es>  Thu, 23 Feb 2012 10:46:52 +0100

tcos (0.89.60-lliurex61) lucid; urgency=low

  * Uploaders Fixed
  * ToNemo

 -- Angel Berlanas Vicente <lliurex_devel2@edu.gva.es>  Thu, 23 Feb 2012 10:41:28 +0100

tcos (0.89.60-lliurex60) unstable; urgency=low

  * fix bug on some screens 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Mon, 24 Oct 2011 09:30:02 +0200

tcos (0.89.60-lliurex59) unstable; urgency=low

  * Rebuild for Lliurex 11.09 

 -- Ignacio Vidal Hurtado <root@admin0-laptop>  Tue, 28 Jun 2011 12:06:39 +0200

tcos (0.89.60-lliurex58) unstable; urgency=low

  * update templates 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Thu, 16 Jun 2011 14:26:19 +0200

tcos (0.89.60-lliurex57) unstable; urgency=low

  * fix open files

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Mon, 06 Jun 2011 12:33:16 +0200

tcos (0.89.60-lliurex56) unstable; urgency=low

  * fix changelog 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Fri, 27 May 2011 14:43:57 +0200

tcos (0.89.60-lliurex55) unstable; urgency=low

  * minor fix 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Fri, 27 May 2011 14:24:07 +0200

tcos (0.89.60-lliurex54) unstable; urgency=low

  * add pulseaudio auth for teachers 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Fri, 27 May 2011 12:43:45 +0200

tcos (0.89.60-lliurex53) unstable; urgency=low

  * fix xmlrpc for semis

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Tue, 05 Apr 2011 18:08:04 +0200

tcos (0.89.60-lliurex52) unstable; urgency=low

  * fixes for displays 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Tue, 29 Mar 2011 16:00:05 +0200

tcos (0.89.60-lliurex51) unstable; urgency=low

  * fix lockscreen

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Mon, 28 Mar 2011 12:07:50 +0200

tcos (0.89.60-lliurex50) unstable; urgency=low

  * fix lockscreen sources 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Mon, 28 Mar 2011 11:36:39 +0200

tcos (0.89.60-lliurex49) unstable; urgency=low

  * add scripts for locks

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Fri, 25 Mar 2011 15:01:28 +0100

tcos (0.89.60-lliurex48) unstable; urgency=low

  * add stop service

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Thu, 24 Mar 2011 14:50:12 +0100

tcos (0.89.60-lliurex47) unstable; urgency=low

  * add route for broadcast 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Mon, 14 Mar 2011 19:18:36 +0100

tcos (0.89.60-lliurex46) unstable; urgency=low

  * fix get server for teacher and tcos-last 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Mon, 14 Mar 2011 16:46:39 +0100

tcos (0.89.60-lliurex45) unstable; urgency=low

  * update tcos-last for teachers 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Mon, 14 Mar 2011 16:18:08 +0100

tcos (0.89.60-lliurex44) unstable; urgency=low

  * add xmlrpc for server 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Mon, 14 Mar 2011 14:36:06 +0100

tcos (0.89.60-lliurex43) unstable; urgency=low

  * fix ssh and local logins 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Thu, 24 Feb 2011 19:15:47 +0100

tcos (0.89.60-lliurex42) unstable; urgency=low

  * update modules conf 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Wed, 16 Feb 2011 13:04:12 +0100

tcos (0.89.60-lliurex41) unstable; urgency=low

  * update pxe parser  

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Wed, 09 Feb 2011 20:48:57 +0100

tcos (0.89.60-lliurex40) unstable; urgency=low

  * fix update template 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Tue, 25 Jan 2011 13:15:03 +0100

tcos (0.89.60-lliurex38) unstable; urgency=low

  * another minor fix 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Tue, 25 Jan 2011 12:33:20 +0100

tcos (0.89.60-lliurex37) unstable; urgency=low

  * minor fix 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Tue, 25 Jan 2011 12:14:17 +0100

tcos (0.89.60-lliurex36) unstable; urgency=low

  * fix pxe regeneration 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Tue, 25 Jan 2011 11:27:43 +0100

tcos (0.89.60-lliurex35) unstable; urgency=low

  * fix parser

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Thu, 20 Jan 2011 09:51:16 +0100

tcos (0.89.60-lliurex34) unstable; urgency=low

  * update regenerate pxe 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Wed, 19 Jan 2011 11:06:20 +0100

tcos (0.89.60-lliurex33) unstable; urgency=low

  * redefine parse pxe

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Tue, 18 Jan 2011 15:36:17 +0100

tcos (0.89.60-lliurex32) unstable; urgency=low

  * fix bug for localboot 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Thu, 02 Dec 2010 18:28:51 +0100

tcos (0.89.60-lliurex31) unstable; urgency=low

  * minor fix

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Thu, 02 Dec 2010 17:59:34 +0100


