=== debian/control ===
Source: tcos
Section: net
Priority: optional
Maintainer: Equipo LliureX <lliurex@gva.es>
XSBC-Original-Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
Uploaders: Ignacio Vidal Hurtado <vidal_joshur@gva.es>, Angel Berlanas Vicente <lliurex_devel2@edu.gva.es>, Raul Rodrigo Segura <lliurex_devel3@edu.gva.es>, David Montalva Furio <montalva_dav@gva.es>, Alfons Lloret Sananton <lliurex_devel5@edu.gva.es>, Enrique Medina Gremaldos <lliurex_devel4@edu.gva.es>, Hector Garcia Huerta <lliurex_devel1@edu.gva.es>, Jose Carlos Garcia Monsalvez <garcia_josmon@gva.es>, Jaime Munyoz Fayos <munyoz_jaifay@gva.es>, Francisco Antonino Daviu <antonino_fra@gva.es>, Miguel Garcia Gomez <garcia_miggom@gva.es>
Build-Depends: debhelper (>= 7.0.0), cdbs, libxmlrpc-c3-dev, libxau-dev, libxaw7-dev, 
               libimlib2-dev, python, python-support (>= 0.3), pkg-config, libasound2-dev, quilt
Standards-Version: 3.8.4
Vcs-Git: http://tcosproject.org/git/initramfs-tools-tcos.git
Vcs-Browser: http://tcosproject.org/cgit/cgit.cgi/initramfs-tools-tcos.git/
Homepage: http://www.tcosproject.org

Package: initramfs-tools-tcos
Architecture: all
Depends: tcos-core, 
         initramfs-tools (>= 0.40), 
         dhcp3-client | dhcp-client, 
         console-setup | console-data,
         squashfs-tools,
         pciutils,
         ltspfsd-core,
         ${misc:Depends}, ${shlibs:Depends}
Recommends: mbr, 
            syslinux,
            mtools,
            acpid,
            pulseaudio,
            dropbear,
            fgetty,
            p910nd,
            genisoimage, 
            mknbi,
            twm,
            binutils,
            alsa-base, 
            xfonts-100dpi,
            debootstrap
Conflicts: tcosmonitor-server (<< 0.1.23.2), tcos (<< 0.89.26)
Description: Tools for generating a TCOS thin client bootable image
 This package contains tools to create a bootable initramfs for prepackaged
 2.6 Linux kernel. The initramfs is an cpio archive. At boot time, the kernel
 unpacks that archive into ram, mounts and uses it as initial root file system.
 Next thin client configure some hardware, download extra tools 
 ( /usr compressed dir ) and connect to remote server using XMDCP, ssh -X, 
 FreeNX, rDesktop...

Package: tcos-core
Architecture: any
Depends: busybox | busybox-static , 
         xterm, 
         x11vnc, 
         xvnc4viewer | xvncviewer, 
         dosfstools, 
         cdparanoia,
         scrot, 
         eject, 
         netpipes-notimelimit, 
         libnotify-bin, 
         libasound2-plugins, 
         iproute, 
         xdg-utils, 
         pulseaudio-utils, 
         python, 
         python-utmp, 
         python-dbus, 
         python-ipaddr,
         python-ipy,
         libavcodec-unstripped-52,
         ${misc:Depends}, ${shlibs:Depends}
Recommends: vlc, 
            stunnel4, 
            openssl,
            ethtool
Conflicts: tcosmonitor-server (<< 0.1.23.2), initramfs-tools-tcos (<< 0.87.0)
XB-Python-Version: ${python:Versions}
Description: Common scripts and bins for generating a thin client bootable image: TCOS
 This package contain common scripts, libs , bins and dependencies to
 generate network images or be used in standalone hosts.


Package: tcos-standalone
Architecture: all
Depends: tcos-core (>= 0.88.0), 
         tcosmonitor-common, 
         ethtool, 
         openssl, 
         gksu, 
         python, 
         python-eggtrayicon | python-gnome2-extras, 
         python-gtk2, 
         python-glade2, 
         ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Conflicts: tcos-core (<< 0.87.15), tcos, tcosconfig
XB-Python-Version: ${python:Versions}
Description: TCOS GUI configurator for standalone hosts
 This package contains a PyGTK+ gui configurator and dependencies
 to install and configure a standalone TCOS host.
  .
 With this package you can control installed clients from tcosmonitor.



Package: tcos
Architecture: all
Depends: initramfs-tools-tcos (>= 0.84.5), 
         python, 
         python-configobj, 
         ${misc:Depends}, ${shlibs:Depends}
Recommends: tcos-configurator, 
            dnsmasq | tcos-tftp-dhcp,
            tcosmonitor-server, tcosconfig, 
            ltspfs, 
           fuse-utils, 
            pulseaudio-esound-compat | esound
Suggests: tcos-usplash | tcos-splashy
XB-Python-Version: ${python:Versions}
Description: New thin client implementation
 This is a system for generating thin client hosts using initramfs.
 TCOS is a set of build tools to prepare an initramfs image to boot
 thin client terminals.
 TCOS support dhcp, sound (alsa & esound | pulseaudio ), ltspfs, 
 Xorg and more utils.
 .
 This metapackage install and recommends all required packages to make a 
 TCOS thin client server.


Package: tcos-tftp-dhcp
Architecture: all
Depends: atftpd, dhcp3-server | dhcp-server, ${misc:Depends}
Description: Metapackage to install TCOS with atftp and DHCP server
 This metapackage depends on atftp and a DHCP daemon to provide server 
 daemons needed to run a TCOS server.
